> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wiza.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Continue prospect search

> Continue with your previous search



## OpenAPI

````yaml /swagger/v1/openapi.yaml post /api/prospects/continue_search
openapi: 3.0.1
info:
  title: Wiza API Documentation
  version: v1
servers:
  - url: https://wiza.co
    variables:
      defaultHost:
        default: wiza.co
security: []
paths:
  /api/prospects/continue_search:
    post:
      tags:
        - Prospect Lists
      summary: Continue prospect search
      description: Continue with your previous search
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - id
              properties:
                id:
                  type: integer
                  description: ID of the list you would like to continue searching
                  example: 123
                max_profiles:
                  type: integer
                  description: >-
                    The number of results to return, defaults to previous list's
                    `max_profiles`
                  example: 10
                callback_url:
                  type: string
                  description: >-
                    URL to send the list update to. If not provided, the default
                    webhook URL configured in your account settings will be
                    used.
              example:
                id: 123
                max_profiles: 10
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponse'
        '401':
          description: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 404
                  message:
                    type: string
                    example: List not found
      security:
        - bearer_auth: []
      x-codeSamples:
        - lang: Javascript
          source: >
            const apiKey = "your api key here" // update with your api_key

            const listId = 0 // update with the ID of the list you would like to
            continue searching


            const myHeaders = new Headers();

            myHeaders.append('Content-Type', 'application/json');

            myHeaders.append('Authorization', `Bearer ${apiKey}`);


            const raw = JSON.stringify({
              'id': listId
            });


            const requestOptions = {
              method: 'POST',
              headers: myHeaders,
              body: raw,
              redirect: 'follow'
            };


            fetch('https://wiza.co/api/prospects/continue_search',
            requestOptions)
              .then((response) => response.text())
              .then((result) => console.log(result))
              .catch((error) => console.error(error));
        - lang: Python
          source: >
            import http.client

            import json


            api_key = "your api key here" # update with your api_key

            list_id = 0 # update with the ID of the list you would like to
            continue searching


            conn = http.client.HTTPSConnection('wiza.co')

            payload = json.dumps({
              'id': list_id
            })

            authorization = ("Bearer {api_key}").format(api_key=api_key)

            headers = {
              'Content-Type': 'application/json',
              'Authorization': authorization
            }

            conn.request('POST', '/api/prospects/continue_search', payload,
            headers)

            res = conn.getresponse()

            data = res.read()

            print(data.decode('utf-8'))
        - lang: Ruby
          source: >
            require 'uri'

            require 'json'

            require 'net/http'


            api_key = "your api key here" # update with your api_key

            list_id = 0 # update with the ID of the list you would like to
            continue searching


            url = URI('https://wiza.co/api/prospects/continue_search')


            https = Net::HTTP.new(url.host, url.port);

            https.use_ssl = true

            request = Net::HTTP::Post.new(url)

            request['Content-Type'] = 'application/json'

            request['Authorization'] = "Bearer #{api_key}"

            request.body = JSON.dump({
              'id': list_id
            })


            response = https.request(request)

            puts response.read_body
        - lang: Curl
          source: >
            api_key="your api key here" # update with your api_key

            list_id=0 # update with the ID of the list you would like to
            continue searching


            curl --location 'https://wiza.co/api/prospects/continue_search'
            --header 'Content-Type: application/json' --header "Authorization:
            Bearer ${api_key}" --data '{"id": "'$list_id'"}'
components:
  schemas:
    ListResponse:
      type: object
      properties:
        status:
          type: object
          properties:
            code:
              type: integer
              example: 200
            message:
              type: string
              example: 🧙 Wiza is working on it!
        type:
          type: string
          enum:
            - list
          example: list
        data:
          type: object
          properties:
            id:
              type: integer
              example: 15
            name:
              type: string
              example: VP of Sales in San Francisco
            status:
              type: string
              example: queued
            stats:
              type: object
              properties:
                people:
                  type: integer
                  example: 2
                credits:
                  type: object
                  properties:
                    email_credits:
                      type: integer
                      nullable: true
                      example: 1
                    phone_credits:
                      type: integer
                      nullable: true
                      example: 1
                    export_credits:
                      type: integer
                      nullable: true
                      example: 1
                    api_credits:
                      type: object
                      nullable: true
                      properties:
                        email_credits:
                          type: integer
                          example: 2
                        phone_credits:
                          type: integer
                          example: 5
                        scrape_credits:
                          type: integer
                          example: 1
                        total:
                          type: integer
                          example: 8
            finished_at:
              type: string
              format: date-time
              nullable: true
            created_at:
              type: string
              format: date-time
            enrichment_level:
              type: string
              example: partial
            email_options:
              type: object
              properties:
                accept_work:
                  type: boolean
                  example: true
                accept_personal:
                  type: boolean
                  example: true
                accept_generic:
                  type: boolean
                  example: true
            report_type:
              type: string
              example: people
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Enter your bearer token (your API key) in the **Authorization** header
        in the format `Bearer {token}`

````